Package ghidra.util.exception

# Class AssertException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
ghidra.util.exception.AssertException

All Implemented Interfaces:
  `Serializable`

public class AssertException extends RuntimeException
`AssertException` is used in situations that the programmer believes can't happen. If it does, then there is a programming error of some kind.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssertException()`
  Create a new AssertException with no message.
  `AssertException(String msg)`
  Create a new AssertException with the given message.
  `AssertException(String message, Throwable throwable)`
  Create a new AssertException with the given message.
  `AssertException(Throwable t)`
  Create a new AssertException using another exception (Throwable) has occurred.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssertException

    public AssertException()
    Create a new AssertException with no message.

  - ### AssertException

    public AssertException(String msg)
    Create a new AssertException with the given message.
    Parameters:
      `msg` - the exception message.

  - ### AssertException

    public AssertException(Throwable t)
    Create a new AssertException using another exception (Throwable) has occurred. The message for this exception will be derived from the Throwable.
    Parameters:
      `t` - the Throwable which caused this exception to be generated.

  - ### AssertException

    public AssertException(String message, Throwable throwable)
    Create a new AssertException with the given message.
    Parameters:
      `message` - the exception message.
      `throwable` - the Throwable which caused this exception to be generated.